Developers

Updates the Board resource

PATCH
/project/boards/{id}

Updates the Board resource

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

Board identifier

Request Body

The updated Board resource

  1. body
name?string
Lengthlength <= 100
description?|
Lengthlength <= 100000
dateStart?string
Formatdate-time
dateEnd?string
Formatdate-time
isBlameableRemovalEnabled?boolean
boardType?|
Formatuuid

Response Body

Board resource updated

  1. response
id?string
Formatuuid
name?string
Lengthlength <= 100
status?string
Value in"in-preparation""open""suspended""closed"
shortCode?string
Length6 <= length <= 6
description?string
Lengthlength <= 100000
dateStart?string
Formatdate-time
dateEnd?string
Formatdate-time
createdAt?string
Formatdate-time
updatedAt?string
Formatdate-time
progress?integer
Default0
weight?integer
timePlanned?|
Default0
timeReported?|
Default0
isBlameableRemovalEnabled?boolean
Defaultfalse
taskCountToDo?|
Default0
taskCountInProgress?|
Default0
taskCountDone?|
Default0
project?string
Formatuuid
projectName?string
Lengthlength <= 100
projectShortCode?string
Length6 <= length <= 6
boardType?|null
stage?string
Formatuuid
stageName?string
Lengthlength <= 100
canManage?boolean
Defaultfalse
Example Request
curl -X PATCH 'https://app.icproject.com/api/instance/demo/project/boards/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "status": "in-preparation",  "shortCode": "string",  "description": "string",  "dateStart": "2019-08-24T14:15:22Z",  "dateEnd": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "progress": 0,  "weight": 0,  "timePlanned": 0,  "timeReported": 0,  "isBlameableRemovalEnabled": false,  "taskCountToDo": 0,  "taskCountInProgress": 0,  "taskCountDone": 0,  "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2",  "projectName": "string",  "projectShortCode": "string",  "boardType": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "decorator": "#78909c"  },  "stage": "9f09bdb0-89bd-4a1a-b468-0312474f1023",  "stageName": "string",  "canManage": false}